/***************************************************************************
 * timesignature.h: implementation of TimeSignature class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TIMESIGNATURE_H
#define TIMESIGNATURE_H

#include <QtGlobal>
#include <QObject>

class TimeSignature : public QObject
{
	Q_OBJECT
public:
	TimeSignature();
	TimeSignature(uchar time1, uchar time2);
	virtual ~TimeSignature();
	
	virtual void clone(const TimeSignature* timeSignature);
	
	virtual void  setNumerator(uchar i);
	virtual uchar numerator() const;
	
	virtual void  setDenominator(uchar i);
	virtual uchar denominator() const;
	
	virtual uint timeLigatures() const;
	
	virtual bool operator==(const TimeSignature& timeSignature) const;
	virtual bool operator!=(const TimeSignature& timeSignature) const;
	
signals:
	void timeSignatureChanged();
	
private:
	uchar time[2];
};

#endif
